import moment from "moment-timezone";

export function getLocalTime(data,formatter) {
    if(!formatter){
        formatter = "YYYY-MM-DD HH:mm:ss"
    }
    // console.log("接口返回时间："+ data); // 输出格式化后的时间
  var timeZone = moment.tz.guess();
  // 创建一个moment对象，并指定时区
//   var utcTime = moment.tz(data, "Europe/London");
  var utcTime = moment.utc(data);
  // console.log("时区："+timeZone); // 输出格式化后的时间
  // console.log("UTC时间："+utcTime.format(formatter)); // 输出格式化后的时间

  var currentTime = utcTime.clone().tz(timeZone);

  // 格式化时间
  var formattedTime = currentTime.format(formatter);

  // console.log("最后："+formattedTime); // 输出格式化后的时间
  return formattedTime
}
